# 32/64bit spec-file
#
%define girname %mklibname ibus-gir %api
%define	version 1.5.4
%define	release %mkrel 3

Name:      ibus
Summary:   A next generation input framework
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.xz
Source1:   ibus.macros
Patch95:    ibus-xx-vala-0.17.patch
Patch100:    ibus-1.3.6-mdv-customize.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%py_requires -d
BuildRequires:  python-gobject3-devel 
BuildRequires:  gtk2-devel
BuildRequires:	gtk+3-devel
BuildRequires:  dbus-glib-devel
BuildRequires:	python-dbus >= 0.83.0
BuildRequires:	iso-codes
BuildRequires:  gettext-devel intltool gtk-doc
BuildRequires:	python-gobject-devel >= 2.15
BuildRequires:	libGConf2-devel >= 2.12
BuildRequires:  %{_lib}dconf-devel >= 0.7.5
BuildRequires:	%{_lib}notify-devel
BuildRequires:  dconf >= 0.7.5
BuildRequires:	GConf2
BuildRequires:	gobject-introspection-devel
BuildRequires:	kde4-macros
BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires:	vala-devel
BuildRequires:	GConf2 dconf
Requires:	%{name}-ui
Requires:	python-gobject
Requires:	python-dbus
Requires:	pygtk2.0
Requires:	python-notify
Requires:	pyxdg
Requires:	iso-codes
Requires:	librsvg
Obsoletes:	%{_lib}ibus-gir1.0

%description
IBus is a next generation input framework.

%define api 1.0
%define major 5
%define libname %mklibname %name %api %major

%package -n %libname
Summary:    Shared libraries for %{name}
Group:      System/Internationalization

%description -n %libname
IBus shared libraries.


%package    devel
Summary:    Headers of %{name} for development
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
IBus development package: static libraries, header files, and the like.

%package    ui-gtk3
Summary:    GTK+ 3.0 UI for IBus
Group:      System/Internationalization
Provides:   ibus-ui
Requires:   %{name} = %{version}
Suggests:   %{name}-gtk3 = %version
Conflicts:  ibus < 1.4.99.20121006-2

%description ui-gtk3
GTK+ 3.0 UI for IBus.

%package    gtk
Summary:    IBus gtk module
Group:      System/Internationalization
Requires:   ibus = %{version}
Requires(post): gtk+2.0
Requires(postun): gtk+2.0

%description gtk
IBus gtk module.

%post gtk
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%postun gtk
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib


%package    gtk3
Summary:    IBus gtk3 module
Group:      System/Internationalization
Requires:   ibus = %{version}
Requires(post): gtk+3.0
Requires(postun): gtk+3.0

%description gtk3
IBus gtk module.

%post gtk3
%{_bindir}/gtk-query-immodules-3.0-%{__isa_bits} --update-cache

%postun gtk3
%{_bindir}/gtk-query-immodules-3.0-%{__isa_bits} --update-cache


%prep
%setup -q -n %{name}-%{version}
%patch95 -p1 -b .f18
%patch100 -p0

%build
%configure2_5x \
	--enable-vala=yes \
	--enable-gtk3 \
	--enable-dconf \
	--disable-gconf \
	--enable-python-library \
	--disable-dbus-python-check
%make

%install
rm -rf %buildroot
%makeinstall_std

# install .desktop files
###echo "NoDisplay=true" >> %buildroot%{_datadir}/applications/ibus.desktop
echo "NoDisplay=true" >> %buildroot%{_datadir}/applications/ibus-setup.desktop

# install rpm macro
mkdir -p %buildroot%{_sysconfdir}/rpm/macros.d/
install -m0644 %{SOURCE1} %buildroot%{_sysconfdir}/rpm/macros.d/%name.macros

mkdir -p %buildroot%{_sysconfdir}/bash_completion.d/
mv -f %{buildroot}%{_datadir}/bash-completion/completions/ibus.bash %buildroot%{_sysconfdir}/bash_completion.d/

# install ui automatic selector wrapper
mv %buildroot%_bindir/%name-daemon %buildroot%_bindir/%name-daemon-real
cat >%buildroot%_bindir/%name-daemon <<EOF
#!/bin/bash
if [ "\$DESKTOP" = "KDE" -a -x %_kde_libdir/kde4/libexec/kimpanel-ibus-panel ]
then
    exec %{_bindir}/ibus-daemon-real --panel=%_kde_libdir/kde4/libexec/kimpanel-ibus-panel "\$@" 
else
    exec %{_bindir}/ibus-daemon-real "\$@"
fi
EOF
chmod 0755 %buildroot%_bindir/%name-daemon

find %buildroot -name '*.la' | xargs rm
rm -f %buildroot%{_sysconfdir}/xdg/autostart/ibus.desktop

desktop-file-install \
 --vendor="" \
 --add-category="X-MandrivaLinux-System-Configuration-Hardware" \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang %{name}10

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}10.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/bash_completion.d/ibus.bash
%{_sysconfdir}/dconf/db/ibus.d/00-upstream-settings
%{_sysconfdir}/dconf/profile/ibus
%{_bindir}/*
%{_libexecdir}/ibus-dconf
%{_libexecdir}/ibus-engine-simple
%{_libexecdir}/ibus-x11
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/ibus/*
%{_datadir}/GConf/gsettings/ibus.convert
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.gschema.xml
%{_iconsdir}/*/*/*/*
%{python_sitelib}/ibus
%{python_sitearch}/gi/overrides/IBus.*
%exclude %{_datadir}/ibus/component/gtkpanel.xml


%files ui-gtk3
%{_libexecdir}/ibus-ui-gtk3
%{_datadir}/ibus/component/gtkpanel.xml

%files -n %{libname}
%{_libdir}/libibus-%{api}.so.%{major}
%{_libdir}/libibus-%{api}.so.%{major}.*
%{_libdir}/girepository-1.0/*.typelib

%files gtk
%defattr(-,root,root)
%{_libdir}/gtk-2.0/*/immodules/*.so

%files gtk3
%defattr(-,root,root)
%{_libdir}/gtk-3.0/*/immodules/*.so

%files devel
%defattr(-,root,root)
%{_includedir}/ibus-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/ibus
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/*.deps
%{_sysconfdir}/rpm/macros.d/%name.macros


%changelog
* Sun Oct 11 2015 bb <bb> 1.5.4-3pclos2015
- rebuild new libdconf1

* Mon Nov 18 2013 billybot <billybot> 1.5.4-2pclos2013
- dont split out gir library files
- add BR python-gobject3-devel 

* Sun Nov 10 2013 pinoc <vogtpet at gmail.com> 1.5.4-1pclos2013
- 1.5.4

